$(document).ready(function() {

    $.jeDate("#start_time", {
        isinitVal: true,
        format: 'YYYY/MM' // 分隔符可以任意定义，该例子表示只显示年月
    });
    $("#start_time").val(getCurrentTimeFormat());

    var checked_dept = null;
    if (roleContains("QZD")) {
        checked_dept = getCurrentUser().organid;
    }
    setSASelectValueNoAll_name(getOrganList(null), "#fsList", checked_dept, "请选择清障队");



    var cols = [
        { width: 80, text: '序号', type: 'number', flex: true, colClass: 'text-center', field: 'num' },
        { width: 160, text: '任务名称', type: 'string', flex: true, sort: 'down', field: 'name' },
        { width: 160, text: '考核部门', type: 'string', flex: true, sort: 'down', field: 'checked_dept_name' },
        { width: 80, text: '稽查人员', type: 'string', flex: true, hide: false, colClass: '', field: 'checkman_name' },
        { width: 160, text: '稽查时间段', type: 'string', flex: true, sort: 'down', field: 'check_period' },
        // {width: 120, text: '状态', type: 'string', flex: true, colClass: '',field: 'check_status_name'}
    ];
    var colFunc = { width: 120, text: '操作', type: 'string', flex: true, field: 'id' };

    // cols.push(colFunc);
    var t = getTimeByMonth(GV("#start_time"));
    var data = {

    };
    taskTableObj = $('#record_list_table').mytable({
        'cols': cols,
        'checkable': false,
        'url': "/q/record/getall/",
        'param': data,

    });
});



function getOrganList(select_road) {
    var organList;
    if (select_road) {
        organList = cache_road_manager_wrecker_group_map.get(select_road);
    } else {
        organList = $.zui.store.get("cache_wrecker_group_list");
    }
    return organList;
}